Skip to main content
POST
/
v1
/
data
/
resource
Fetch Resource Data
curl --request POST \
  --url https://api.oviond.com/v1/data/resource \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "datasource_id": "fb-ads",
  "client_id": "cliAbc123",
  "resource": "campaigns",
  "params": {}
}
'
{
  "success": true,
  "data": null,
  "meta": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
datasource_id
string
required
Example:

"fb-ads"

client_id
string
required
Example:

"cliAbc123"

resource
string
required
Example:

"campaigns"

params
object

Response

Resource data from upstream API

success
enum<boolean>
required
Available options:
true
data
unknown
meta
unknown